summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChí-Thanh Christopher Nguyễn <chithanh@gentoo.org>2015-10-07 02:37:22 +0200
committerChí-Thanh Christopher Nguyễn <chithanh@gentoo.org>2015-10-07 02:37:22 +0200
commitc245b5a4e545a518abdd6328502e6c01ae7f474f (patch)
tree5ae4c4b7ab1e6677063bdbf8cb2a8d2ff5979c81 /net-libs/libasyncns/libasyncns-0.8-r4.ebuild
parentadd patch to fix building shared libraries with patch from tt_1(bug #553746) (diff)
downloadgentoo-c245b5a4e545a518abdd6328502e6c01ae7f474f.tar.gz
gentoo-c245b5a4e545a518abdd6328502e6c01ae7f474f.tar.bz2
gentoo-c245b5a4e545a518abdd6328502e6c01ae7f474f.zip
net-libs/libasyncns: fix configure check that failed on amd64-fbsd. add keyword.
Package-Manager: portage-2.2.20.1
Diffstat (limited to 'net-libs/libasyncns/libasyncns-0.8-r4.ebuild')
-rw-r--r--net-libs/libasyncns/libasyncns-0.8-r4.ebuild62
1 files changed, 62 insertions, 0 deletions
diff --git a/net-libs/libasyncns/libasyncns-0.8-r4.ebuild b/net-libs/libasyncns/libasyncns-0.8-r4.ebuild
new file mode 100644
index 00000000000..a2c96ec6ac4
--- /dev/null
+++ b/net-libs/libasyncns/libasyncns-0.8-r4.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit autotools-multilib eutils flag-o-matic libtool multilib multilib-minimal
+
+DESCRIPTION="C library for executing name service queries asynchronously"
+HOMEPAGE="http://0pointer.de/lennart/projects/libasyncns/"
+SRC_URI="http://0pointer.de/lennart/projects/libasyncns/${P}.tar.gz"
+
+SLOT="0"
+
+LICENSE="LGPL-2.1"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~amd64-linux ~x86-linux"
+
+IUSE="doc debug"
+
+RDEPEND=""
+DEPEND="doc? ( app-doc/doxygen )"
+
+src_prepare() {
+ # fix libdir in pkgconfig file
+ epatch "${FILESDIR}/${P}-libdir.patch"
+ # fix configure check for res_query
+ epatch "${FILESDIR}/${P}-configure-res_query.patch"
+ eautoreconf
+}
+
+multilib_src_configure() {
+ # libasyncns uses assert()
+ use debug || append-cppflags -DNDEBUG
+
+ ECONF_SOURCE=${S} \
+ econf \
+ --docdir="${EPREFIX}"/usr/share/doc/${PF} \
+ --htmldir="${EPREFIX}"/usr/share/doc/${PF}/html \
+ --disable-dependency-tracking \
+ --disable-lynx \
+ --disable-static
+}
+
+multilib_src_compile() {
+ emake || die "emake failed"
+
+ if multilib_is_native_abi && use doc; then
+ doxygen doxygen/doxygen.conf || die "doxygen failed"
+ fi
+}
+
+multilib_src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+
+ if multilib_is_native_abi && use doc; then
+ docinto apidocs
+ dohtml html/*
+ fi
+}
+
+multilib_src_install_all() {
+ find "${D}" -name '*.la' -delete
+}